import 'package:get/get.dart';

import '../../../data/models/history.dart';
import '../../app/controllers/app_controller.dart';

enum HistoryType { ALL, VAILD, NOVALID }

class HistoryController extends GetxController
    with StateMixin<List<HistoryModel>> {
  Rx<HistoryType> fillter = HistoryType.ALL.obs;
  @override
  void onInit() {
    change(Get.find<AppController>().historys, status: RxStatus.success());
    super.onInit();
  }

  void filter(HistoryType historyType) {
    fillter.value = historyType;
    switch (historyType) {
      case HistoryType.ALL:
        change(Get.find<AppController>().historys, status: RxStatus.success());
        break;
      case HistoryType.VAILD:
        change(
            Get.find<AppController>().historys.where((e) => e.check).toList(),
            status: RxStatus.success());
        break;
      default:
        change(
            Get.find<AppController>().historys.where((e) => !e.check).toList(),
            status: RxStatus.success());
    }
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {}
}
